cURL
curl -X PUT "https://api.klipl.ink/v1/links/klipl.ink/your-link" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"destination_url": "https://www.example.com/new-destination",
"title": "Updated KlipLink API Guide"
}'import requests
short_url = "klipl.ink/your-link"
response = requests.put(
f"https://api.klipl.ink/v1/links/{short_url}",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"destination_url": "https://www.example.com/new-destination",
"title": "Updated KlipLink API Guide"
}
)
print(response.json())
const shortUrl = "klipl.ink/your-link";
const response = await fetch(`https://api.klipl.ink/v1/links/${shortUrl}`, {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
destination_url: "https://www.example.com/new-destination",
title: "Updated KlipLink API Guide"
})
});
const data = await response.json();
console.log(data);
<?php
$shortUrl = "klipl.ink/your-link";
$ch = curl_init("https://api.klipl.ink/v1/links/{$shortUrl}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer YOUR_API_KEY",
"Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"destination_url" => "https://www.example.com/new-destination",
"title" => "Updated KlipLink API Guide"
]));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = json_decode(curl_exec($ch), true);
print_r($response);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.klipl.ink/v1/links/{short_url}"
payload := strings.NewReader("{\n \"destination_url\": \"https://www.example.com/new-destination\",\n \"title\": \"Updated KlipLink API Guide\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.klipl.ink/v1/links/{short_url}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_url\": \"https://www.example.com/new-destination\",\n \"title\": \"Updated KlipLink API Guide\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.klipl.ink/v1/links/{short_url}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_url\": \"https://www.example.com/new-destination\",\n \"title\": \"Updated KlipLink API Guide\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"short_url": "https://klipl.ink/your-link",
"destination_url": "https://www.example.com/new-destination",
"clicks": 255,
"created_at": "2025-11-06T14:30:00.000Z",
"title": "Updated KlipLink API Guide"
}Link Endpoints
Update a Link
Updates the destination_url and/or title of an existing short link. At least one field is required.
PUT
/
v1
/
links
/
{short_url}
cURL
curl -X PUT "https://api.klipl.ink/v1/links/klipl.ink/your-link" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"destination_url": "https://www.example.com/new-destination",
"title": "Updated KlipLink API Guide"
}'import requests
short_url = "klipl.ink/your-link"
response = requests.put(
f"https://api.klipl.ink/v1/links/{short_url}",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"destination_url": "https://www.example.com/new-destination",
"title": "Updated KlipLink API Guide"
}
)
print(response.json())
const shortUrl = "klipl.ink/your-link";
const response = await fetch(`https://api.klipl.ink/v1/links/${shortUrl}`, {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
destination_url: "https://www.example.com/new-destination",
title: "Updated KlipLink API Guide"
})
});
const data = await response.json();
console.log(data);
<?php
$shortUrl = "klipl.ink/your-link";
$ch = curl_init("https://api.klipl.ink/v1/links/{$shortUrl}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer YOUR_API_KEY",
"Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"destination_url" => "https://www.example.com/new-destination",
"title" => "Updated KlipLink API Guide"
]));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = json_decode(curl_exec($ch), true);
print_r($response);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.klipl.ink/v1/links/{short_url}"
payload := strings.NewReader("{\n \"destination_url\": \"https://www.example.com/new-destination\",\n \"title\": \"Updated KlipLink API Guide\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.klipl.ink/v1/links/{short_url}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_url\": \"https://www.example.com/new-destination\",\n \"title\": \"Updated KlipLink API Guide\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.klipl.ink/v1/links/{short_url}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_url\": \"https://www.example.com/new-destination\",\n \"title\": \"Updated KlipLink API Guide\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"short_url": "https://klipl.ink/your-link",
"destination_url": "https://www.example.com/new-destination",
"clicks": 255,
"created_at": "2025-11-06T14:30:00.000Z",
"title": "Updated KlipLink API Guide"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The short URL identifier of the link to update (e.g. klipl.ink/your-link).
Body
application/json
⌘I
